Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5103)
@@ -139,5 +139,5 @@
   ! ---------------------------------------------------
 
-  ! print*,'0 OK convect8'
+  ! PRINT*,'0 OK convect8'
 
   DO l = 1, nlay
@@ -152,5 +152,5 @@
   END DO
 
-  ! print*,'1 OK convect8'
+  ! PRINT*,'1 OK convect8'
   ! --------------------
 
@@ -198,5 +198,5 @@
   END DO
 
-  ! print*,'2 OK convect8'
+  ! PRINT*,'2 OK convect8'
   ! -----------------------------------------------------------------------
   ! Calcul des densites
@@ -223,5 +223,5 @@
   END DO
 
-  ! print*,'3 OK convect8'
+  ! PRINT*,'3 OK convect8'
   ! ------------------------------------------------------------------
   ! Calcul de w2, quarre de w a partir de la cape
@@ -279,5 +279,5 @@
   END DO
 
-  ! print*,'4 OK convect8'
+  ! PRINT*,'4 OK convect8'
   ! Calcul de la couche correspondant a la hauteur du thermique
   DO k = 1, nlay - 1
@@ -292,5 +292,5 @@
   END DO
 
-  ! print*,'5 OK convect8'
+  ! PRINT*,'5 OK convect8'
   ! Calcule du w max du thermique
   DO k = 1, nlay
@@ -320,20 +320,20 @@
   END DO
 
-  ! print*,'6 OK convect8'
+  ! PRINT*,'6 OK convect8'
   ! Longueur caracteristique correspondant a la hauteur des thermiques.
   DO ig = 1, ngrid
     zmax(ig) = 500.
   END DO
-  ! print*,'LMAX LMAX LMAX '
+  ! PRINT*,'LMAX LMAX LMAX '
   DO k = 1, nlay - 1
     DO ig = 1, ngrid
       zmax(ig) = max(zmax(ig), zlev(ig,lmax(ig,k))-zlev(ig,k))
     END DO
-    ! print*,k,lmax(1,k)
-  END DO
-  ! print*,'ZMAX ZMAX ZMAX ',zmax
-  ! call dump2d(iim,jjm-1,zmax(2:ngrid-1),'ZMAX      ')
-
-  ! print*,'OKl336'
+    ! PRINT*,k,lmax(1,k)
+  END DO
+  ! PRINT*,'ZMAX ZMAX ZMAX ',zmax
+  ! CALL dump2d(iim,jjm-1,zmax(2:ngrid-1),'ZMAX      ')
+
+  ! PRINT*,'OKl336'
   ! Calcul de l'entrainement.
   ! Le rapport d'aspect relie la largeur de l'ascendance a l'epaisseur
@@ -354,5 +354,5 @@
 
 
-  ! print*,'7 OK convect8'
+  ! PRINT*,'7 OK convect8'
   DO k = 1, klev + 1
     DO ig = 1, ngrid
@@ -365,5 +365,5 @@
   END DO
 
-  ! print*,'8 OK convect8'
+  ! PRINT*,'8 OK convect8'
   DO ig = 1, ngrid
     lmaxa(ig) = 1
@@ -373,12 +373,12 @@
 
 
-  ! print*,'OKl372'
+  ! PRINT*,'OKl372'
   DO l = 1, nlay - 2
     DO ig = 1, ngrid
       ! if (zw2(ig,l).lt.1.e-10.and.ztv(ig,l).gt.ztv(ig,l+1)) then
-      ! print*,'COUCOU ',l,zw2(ig,l),ztv(ig,l),ztv(ig,l+1)
+      ! PRINT*,'COUCOU ',l,zw2(ig,l),ztv(ig,l),ztv(ig,l+1)
       IF (zw2(ig,l)<1.E-10 .AND. ztv(ig,l)>ztv(ig,l+1) .AND. &
           entr(ig,l)>1.E-10) THEN
-        ! print*,'COUCOU cas 1'
+        ! PRINT*,'COUCOU cas 1'
         ! Initialisation de l'ascendance
         ! lmix(ig)=1
@@ -388,6 +388,6 @@
         zw2(ig, l) = 0.
         ! if (.not.ztv(ig,l+1).gt.150.) then
-        ! print*,'ig,l+1,ztv(ig,l+1)'
-        ! print*, ig,l+1,ztv(ig,l+1)
+        ! PRINT*,'ig,l+1,ztv(ig,l+1)'
+        ! PRINT*, ig,l+1,ztv(ig,l+1)
         ! endif
         zw2(ig, l+1) = 2.*rg*(ztv(ig,l)-ztv(ig,l+1))/ztv(ig, l+1)* &
@@ -398,10 +398,10 @@
         fmc(ig, l+1) = fmc(ig, l) + entr(ig, l)
         ! if (.not.fmc(ig,l+1).gt.1.e-15) then
-        ! print*,'ig,l+1,fmc(ig,l+1)'
-        ! print*, ig,l+1,fmc(ig,l+1)
-        ! print*,'Fmc ',(fmc(ig,ll),ll=1,klev+1)
-        ! print*,'W2 ',(zw2(ig,ll),ll=1,klev+1)
-        ! print*,'Tv ',(ztv(ig,ll),ll=1,klev)
-        ! print*,'Entr ',(entr(ig,ll),ll=1,klev)
+        ! PRINT*,'ig,l+1,fmc(ig,l+1)'
+        ! PRINT*, ig,l+1,fmc(ig,l+1)
+        ! PRINT*,'Fmc ',(fmc(ig,ll),ll=1,klev+1)
+        ! PRINT*,'W2 ',(zw2(ig,ll),ll=1,klev+1)
+        ! PRINT*,'Tv ',(ztv(ig,ll),ll=1,klev)
+        ! PRINT*,'Entr ',(entr(ig,ll),ll=1,klev)
         ! endif
         ztva(ig, l) = (fmc(ig,l)*ztva(ig,l-1)+entr(ig,l)*ztv(ig,l))/ &
@@ -423,10 +423,10 @@
         wmaxa(ig) = wa_moy(ig, l+1)
       END IF
-      ! print*,'COUCOU cas 2 LMIX=',lmix(ig),wa_moy(ig,l+1),wmaxa(ig)
-    END DO
-  END DO
-
-  ! print*,'9 OK convect8'
-  ! print*,'WA1 ',wa_moy
+      ! PRINT*,'COUCOU cas 2 LMIX=',lmix(ig),wa_moy(ig,l+1),wmaxa(ig)
+    END DO
+  END DO
+
+  ! PRINT*,'9 OK convect8'
+  ! PRINT*,'WA1 ',wa_moy
 
   ! determination de l'indice du debut de la mixed layer ou w decroit
@@ -438,5 +438,5 @@
   ! de la vitesse d'entrainement horizontal dans la couche alimentante.
 
-  ! print*,'OKl439'
+  ! PRINT*,'OKl439'
   DO l = 2, nlay
     DO ig = 1, ngrid
@@ -468,6 +468,6 @@
   END DO
 
-  ! print*,'10 OK convect8'
-  ! print*,'WA2 ',wa_moy
+  ! PRINT*,'10 OK convect8'
+  ! PRINT*,'WA2 ',wa_moy
   ! calcul de la fraction de la maille concernée par l'ascendance en tenant
   ! compte de l'epluchage du thermique.
@@ -476,5 +476,5 @@
     DO ig = 1, ngrid
       IF (larg_cons(ig,l)>1.) THEN
-        ! print*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
         fraca(ig, l) = (larg_cons(ig,l)-larg_detr(ig,l))/(r_aspect*zmax(ig))
         IF (l>lmix(ig)) THEN
@@ -490,5 +490,5 @@
           END IF
         END IF
-        ! print*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
         fraca(ig, l) = max(fraca(ig,l), 0.)
         fraca(ig, l) = min(fraca(ig,l), 0.5)
@@ -504,6 +504,6 @@
   END DO
 
-  ! print*,'11 OK convect8'
-  ! print*,'Ea3 ',wa_moy
+  ! PRINT*,'11 OK convect8'
+  ! PRINT*,'Ea3 ',wa_moy
   ! ------------------------------------------------------------------
   ! Calcul de fracd, wd
@@ -539,6 +539,6 @@
   END DO
 
-  ! print*,'12 OK convect8'
-  ! print*,'WA4 ',wa_moy
+  ! PRINT*,'12 OK convect8'
+  ! PRINT*,'WA4 ',wa_moy
   ! c------------------------------------------------------------------
   ! calcul du transport vertical
@@ -546,10 +546,10 @@
 
   GO TO 4444
-  ! print*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
+  ! PRINT*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
   DO l = 2, nlay - 1
     DO ig = 1, ngrid
       IF (fm(ig,l+1)*ptimestep>masse(ig,l) .AND. fm(ig,l+1)*ptimestep>masse( &
           ig,l+1)) THEN
-        ! print*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
+        ! PRINT*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
         ! s         ,fm(ig,l+1)*ptimestep
         ! s         ,'   M=',masse(ig,l),masse(ig,l+1)
@@ -561,5 +561,5 @@
     DO ig = 1, ngrid
       IF (entr(ig,l)*ptimestep>masse(ig,l)) THEN
-        ! print*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
+        ! PRINT*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
         ! s         ,entr(ig,l)*ptimestep
         ! s         ,'   M=',masse(ig,l)
@@ -571,19 +571,19 @@
     DO ig = 1, ngrid
       IF (.NOT. fm(ig,l)>=0. .OR. .NOT. fm(ig,l)<=10.) THEN
-        ! print*,'WARN!!! fm exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! fm exagere ig=',ig,'   l=',l
         ! s         ,'   FM=',fm(ig,l)
       END IF
       IF (.NOT. masse(ig,l)>=1.E-10 .OR. .NOT. masse(ig,l)<=1.E4) THEN
-        ! print*,'WARN!!! masse exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! masse exagere ig=',ig,'   l=',l
         ! s         ,'   M=',masse(ig,l)
-        ! print*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
+        ! PRINT*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
         ! s                 rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)
-        ! print*,'zlev(ig,l+1),zlev(ig,l)'
+        ! PRINT*,'zlev(ig,l+1),zlev(ig,l)'
         ! s                ,zlev(ig,l+1),zlev(ig,l)
-        ! print*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
+        ! PRINT*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
         ! s                ,pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)
       END IF
       IF (.NOT. entr(ig,l)>=0. .OR. .NOT. entr(ig,l)<=10.) THEN
-        ! print*,'WARN!!! entr exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! entr exagere ig=',ig,'   l=',l
         ! s         ,'   E=',entr(ig,l)
       END IF
@@ -592,5 +592,5 @@
 
 4444 CONTINUE
-  ! print*,'OK 444 '
+  ! PRINT*,'OK 444 '
 
   IF (w2di==1) THEN
@@ -624,5 +624,5 @@
   PRINT *, 'TH VENT ', dvdq
   IF (dvdq==0) THEN
-    ! print*,'TH VENT OK ',dvdq
+    ! PRINT*,'TH VENT OK ',dvdq
     CALL dqthermcell(ngrid, nlay, ptimestep, fm0, entr0, masse, zu, pduadj, &
       zua)
@@ -655,6 +655,6 @@
 
 
-  ! print*,'13 OK convect8'
-  ! print*,'WA5 ',wa_moy
+  ! PRINT*,'13 OK convect8'
+  ! PRINT*,'WA5 ',wa_moy
   DO l = 1, nlay
     DO ig = 1, ngrid
@@ -667,9 +667,9 @@
   ! do ig=1,ngrid
   ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
   ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
   ! endif
@@ -677,5 +677,5 @@
   ! enddo
 
-  ! print*,'14 OK convect8'
+  ! PRINT*,'14 OK convect8'
   ! ------------------------------------------------------------------
   ! Calculs pour les sorties
@@ -698,5 +698,5 @@
           entr(ig, l) = entr(ig, l) - detr(ig, l)
           detr(ig, l) = 0.
-          ! print*,'WARNING !!! detrainement negatif ',ig,l
+          ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
         END IF
       END DO
@@ -704,10 +704,10 @@
   END IF
 
-  ! print*,'15 OK convect8'
+  ! PRINT*,'15 OK convect8'
 
 
   ! if(wa_moy(1,4).gt.1.e-10) stop
 
-  ! print*,'19 OK convect8'
+  ! PRINT*,'19 OK convect8'
   RETURN
 END SUBROUTINE thermcell_2002
@@ -892,5 +892,5 @@
   LOGICAL, SAVE :: first = .TRUE.
   !$OMP THREADPRIVATE(first)
-  ! data first /.false./
+  ! data first /.FALSE./
   ! save first
   LOGICAL nuage
@@ -934,5 +934,5 @@
 
   sorties = .FALSE.
-  ! print*,'NOUVEAU DETR PLUIE '
+  ! PRINT*,'NOUVEAU DETR PLUIE '
   IF (ngrid/=klon) THEN
     PRINT *
@@ -970,5 +970,5 @@
   END DO
   ! do ig=1,klon
-  ! print*,'test(ig)',test(ig),zmax0(ig)
+  ! PRINT*,'test(ig)',test(ig),zmax0(ig)
   ! enddo
   nuage = .FALSE.
@@ -1051,5 +1051,5 @@
   ! ---------------------------------------------------
 
-  ! print*,'0 OK convect8'
+  ! PRINT*,'0 OK convect8'
 
   DO l = 1, nlay
@@ -1075,5 +1075,5 @@
   END DO
 
-  ! print*,'1 OK convect8'
+  ! PRINT*,'1 OK convect8'
   ! --------------------
 
@@ -1118,5 +1118,5 @@
   END DO
 
-  ! print*,'2 OK convect8'
+  ! PRINT*,'2 OK convect8'
   ! -----------------------------------------------------------------------
   ! Calcul des densites
@@ -1150,5 +1150,5 @@
     END DO
   END DO
-  ! print*,'3 OK convect8'
+  ! PRINT*,'3 OK convect8'
   ! ------------------------------------------------------------------
   ! Calcul de w2, quarre de w a partir de la cape
@@ -1271,5 +1271,5 @@
   END DO
 
-  ! print*,'fin calcul alim_star'
+  ! PRINT*,'fin calcul alim_star'
 
   ! AM:initialisations
@@ -1291,5 +1291,5 @@
     END DO
   END DO
-  ! print*,'7 OK convect8'
+  ! PRINT*,'7 OK convect8'
   DO k = 1, klev + 1
     DO ig = 1, ngrid
@@ -1305,5 +1305,5 @@
   END DO
 
-  ! n     print*,'8 OK convect8'
+  ! n     PRINT*,'8 OK convect8'
   DO ig = 1, ngrid
     linter(ig) = 1.
@@ -1356,8 +1356,8 @@
         w_est(ig, l+1) = zw2(ig, l+1)
         larg_detr(ig, l) = 0.
-        ! print*,'coucou boucle 1'
+        ! PRINT*,'coucou boucle 1'
       ELSE IF ((zw2(ig,l)>=1E-10) .AND. (f_star(ig,l)+alim_star(ig, &
           l))>1.E-10) THEN
-        ! print*,'coucou boucle 2'
+        ! PRINT*,'coucou boucle 2'
         ! estimation du detrainement a partir de la geometrie du pas
         ! precedent
@@ -1365,7 +1365,7 @@
           detr_star(ig, l) = 0.
           entr_star(ig, l) = 0.
-          ! print*,'coucou test(ig)',test(ig),f0(ig),zmax0(ig)
+          ! PRINT*,'coucou test(ig)',test(ig),f0(ig),zmax0(ig)
         ELSE
-          ! print*,'coucou debut detr'
+          ! PRINT*,'coucou debut detr'
           ! tests sur la definition du detr
           IF (zqla(ig,l-1)>1.E-10) THEN
@@ -1420,5 +1420,5 @@
           END IF
 
-          ! print*,'ok detr_star'
+          ! PRINT*,'ok detr_star'
         END IF
         ! prise en compte du detrainement dans le calcul du flux
@@ -1474,5 +1474,5 @@
             ! write(17,*)'DT0=',DT
             DO WHILE (abs(dt)>ddt0)
-              ! print*,'aie'
+              ! PRINT*,'aie'
               tbef(ig) = tbef(ig) + dt
               zdelta = max(0., sign(1.,rtt-tbef(ig)))
@@ -1548,8 +1548,8 @@
           ig,l))
         zw2(ig, l+1) = 0.
-        ! print*,'linter=',linter(ig)
+        ! PRINT*,'linter=',linter(ig)
         ! else if ((zw2(ig,l+1).lt.1.e-10).and.(zw2(ig,l+1).ge.0.)) then
         ! linter(ig)=l+1
-        ! print*,'linter=l',zw2(ig,l),zw2(ig,l+1)
+        ! PRINT*,'linter=l',zw2(ig,l),zw2(ig,l+1)
       ELSE
         wa_moy(ig, l+1) = sqrt(zw2(ig,l+1))
@@ -1694,5 +1694,5 @@
       detr(ig, k) = f(ig)*detr_star(ig, k)
       IF (detr(ig,k)<0.) THEN
-        ! print*,'detr1<0!!!'
+        ! PRINT*,'detr1<0!!!'
       END IF
     END DO
@@ -1700,5 +1700,5 @@
       entr(ig, k) = f(ig)*entr_star(ig, k)
       IF (entr(ig,k)<0.) THEN
-        ! print*,'entr1<0!!!'
+        ! PRINT*,'entr1<0!!!'
       END IF
     END DO
@@ -1709,5 +1709,5 @@
   ! if (((detr(ig,l)+entr(ig,l)+alim(ig,l))*ptimestep).gt.
   ! s          (masse(ig,l))) then
-  ! print*,'d2+e2+a2>m2','ig=',ig,'l=',l,'lmax(ig)=',lmax(ig),'d+e+a='
+  ! PRINT*,'d2+e2+a2>m2','ig=',ig,'l=',l,'lmax(ig)=',lmax(ig),'d+e+a='
   ! s,(detr(ig,l)+entr(ig,l)+alim(ig,l))*ptimestep,'m=',masse(ig,l)
   ! endif
@@ -1721,5 +1721,5 @@
       ! fmc(ig,l+1)=f(ig)*f_star(ig,l+1)
       fmc(ig, l+1) = fmc(ig, l) + alim(ig, l) + entr(ig, l) - detr(ig, l)
-      ! print*,'??!!','ig=',ig,'l=',l,'lmax=',lmax(ig),'lmix=',lmix(ig),
+      ! PRINT*,'??!!','ig=',ig,'l=',l,'lmax=',lmax(ig),'lmix=',lmix(ig),
       ! s  'e=',entr(ig,l),'d=',detr(ig,l),'a=',alim(ig,l),'f=',fmc(ig,l),
       ! s  'f+1=',fmc(ig,l+1)
@@ -1729,5 +1729,5 @@
         detr(ig, l) = alim(ig, l) + entr(ig, l)
         ! fmc(ig,l+1)=0.
-        ! print*,'fmc1<0',l+1,lmax(ig),fmc(ig,l+1)
+        ! PRINT*,'fmc1<0',l+1,lmax(ig),fmc(ig,l+1)
       END IF
       ! if ((fmc(ig,l+1).gt.fmc(ig,l)).and.(l.gt.lentr(ig))) then
@@ -1830,5 +1830,5 @@
       IF ((abs(fmc(ig,l+1)-fmc(ig,l)-alim(ig,l)-entr(ig,l)+ &
           detr(ig,l)))>1.E-4) THEN
-        ! print*,'pbcm!!','ig=',ig,'l=',l,'lmax=',lmax(ig),'lmix=',lmix(ig),
+        ! PRINT*,'pbcm!!','ig=',ig,'l=',l,'lmax=',lmax(ig),'lmix=',lmix(ig),
         ! s  'e=',entr(ig,l),'d=',detr(ig,l),'a=',alim(ig,l),'f=',fmc(ig,l),
         ! s  'f+1=',fmc(ig,l+1)
@@ -1866,5 +1866,5 @@
     IF ((zmax(ig)-zmix(ig))<=0.) THEN
       zmix(ig) = 0.9*zmax(ig)
-      ! print*,'pb zmix>zmax'
+      ! PRINT*,'pb zmix>zmax'
     END IF
   END DO
@@ -1909,6 +1909,6 @@
 
   ! Calcul du detrainement lors du premier passage
-  ! print*,'9 OK convect8'
-  ! print*,'WA1 ',wa_moy
+  ! PRINT*,'9 OK convect8'
+  ! PRINT*,'WA1 ',wa_moy
 
   ! determination de l'indice du debut de la mixed layer ou w decroit
@@ -1958,6 +1958,6 @@
   END DO
 
-  ! print*,'10 OK convect8'
-  ! print*,'WA2 ',wa_moy
+  ! PRINT*,'10 OK convect8'
+  ! PRINT*,'WA2 ',wa_moy
   ! cal1cul de la fraction de la maille concernée par l'ascendance en tenant
   ! compte de l'epluchage du thermique.
@@ -1967,5 +1967,5 @@
     DO ig = 1, ngrid
       IF (larg_cons(ig,l)>1. .AND. (test(ig)==1)) THEN
-        ! print*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
         fraca(ig, l) = (larg_cons(ig,l)-larg_detr(ig,l))/(r_aspect*zmax(ig))
         ! test
@@ -1998,5 +1998,5 @@
           ! test
           IF (zmax(ig)-zmix(ig)<1.E-10) THEN
-            ! print*,'pb xxx'
+            ! PRINT*,'pb xxx'
             xxx(ig, l) = (lmax(ig)+1.-l)/(lmax(ig)+1.-lmix(ig))
           ELSE
@@ -2012,5 +2012,5 @@
             fraca(ig, l) = fracazmix(ig)*xxx(ig, l)**2
           END IF
-          ! print*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
+          ! PRINT*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
           fraca(ig, l) = max(fraca(ig,l), 0.)
           fraca(ig, l) = min(fraca(ig,l), 0.5)
@@ -2023,6 +2023,6 @@
 
   PRINT *, 'fin calcul fraca'
-  ! print*,'11 OK convect8'
-  ! print*,'Ea3 ',wa_moy
+  ! PRINT*,'11 OK convect8'
+  ! PRINT*,'Ea3 ',wa_moy
   ! ------------------------------------------------------------------
   ! Calcul de fracd, wd
@@ -2077,6 +2077,6 @@
   END DO
 
-  ! print*,'12 OK convect8'
-  ! print*,'WA4 ',wa_moy
+  ! PRINT*,'12 OK convect8'
+  ! PRINT*,'WA4 ',wa_moy
   ! c------------------------------------------------------------------
   ! calcul du transport vertical
@@ -2084,5 +2084,5 @@
 
   GO TO 4444
-  ! print*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
+  ! PRINT*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
   DO l = 2, nlay - 1
     DO ig = 1, ngrid
@@ -2107,19 +2107,19 @@
     DO ig = 1, ngrid
       IF (.NOT. fm(ig,l)>=0. .OR. .NOT. fm(ig,l)<=10.) THEN
-        ! print*,'WARN!!! fm exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! fm exagere ig=',ig,'   l=',l
         ! s         ,'   FM=',fm(ig,l)
       END IF
       IF (.NOT. masse(ig,l)>=1.E-10 .OR. .NOT. masse(ig,l)<=1.E4) THEN
-        ! print*,'WARN!!! masse exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! masse exagere ig=',ig,'   l=',l
         ! s         ,'   M=',masse(ig,l)
-        ! print*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
+        ! PRINT*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
         ! s                 rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)
-        ! print*,'zlev(ig,l+1),zlev(ig,l)'
+        ! PRINT*,'zlev(ig,l+1),zlev(ig,l)'
         ! s                ,zlev(ig,l+1),zlev(ig,l)
-        ! print*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
+        ! PRINT*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
         ! s                ,pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)
       END IF
       IF (.NOT. alim(ig,l)>=0. .OR. .NOT. alim(ig,l)<=10.) THEN
-        ! print*,'WARN!!! entr exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! entr exagere ig=',ig,'   l=',l
         ! s         ,'   E=',entr(ig,l)
       END IF
@@ -2140,5 +2140,5 @@
           detr(ig, l) = 0.
           ! write(11,*)'l,ig,entr',l,ig,entr(ig,l)
-          ! print*,'WARNING !!! detrainement negatif ',ig,l
+          ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
         END IF
       END IF
@@ -2160,7 +2160,7 @@
 
   IF (1==1) THEN
-    ! call dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
+    ! CALL dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
     ! .    ,zh,zdhadj,zha)
-    ! call dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
+    ! CALL dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
     ! .    ,zo,pdoadj,zoa)
     CALL dqthermcell(ngrid, nlay, ptimestep, fm0, entr0, masse, zthl, &
@@ -2200,6 +2200,6 @@
 
 
-  ! print*,'13 OK convect8'
-  ! print*,'WA5 ',wa_moy
+  ! PRINT*,'13 OK convect8'
+  ! PRINT*,'WA5 ',wa_moy
   DO l = 1, nlay
     DO ig = 1, ngrid
@@ -2213,9 +2213,9 @@
   ! do ig=1,ngrid
   ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
   ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
   ! endif
@@ -2223,5 +2223,5 @@
   ! enddo
 
-  ! print*,'14 OK convect8'
+  ! PRINT*,'14 OK convect8'
   ! ------------------------------------------------------------------
   ! Calculs pour les sorties
@@ -2259,7 +2259,7 @@
         END IF
         ! if (zcon(ig).gt.1.e-10) then
-        ! nuage=.true.
+        ! nuage=.TRUE.
         ! else
-        ! nuage=.false.
+        ! nuage=.FALSE.
         ! endif
       END DO
@@ -2272,5 +2272,5 @@
         thetath2(ig, l) = zf2*(zha(ig,l)-zh(ig,l)/zpspsk(ig,l))**2
         wth2(ig, l) = zf2*(zw2(ig,l))**2
-        ! print*,'wth2=',wth2(ig,l)
+        ! PRINT*,'wth2=',wth2(ig,l)
         wth3(ig, l) = zf2*(1-2.*fraca(ig,l))/(1-fraca(ig,l))*zw2(ig, l)* &
           zw2(ig, l)*zw2(ig, l)
@@ -2311,5 +2311,5 @@
   END IF
 
-  ! print*,'19 OK convect8'
+  ! PRINT*,'19 OK convect8'
   RETURN
 END SUBROUTINE thermcell_cld
@@ -2555,5 +2555,5 @@
   ! ---------------------------------------------------
 
-  ! print*,'0 OK convect8'
+  ! PRINT*,'0 OK convect8'
 
   DO l = 1, nlay
@@ -2578,5 +2578,5 @@
   END DO
 
-  ! print*,'1 OK convect8'
+  ! PRINT*,'1 OK convect8'
   ! --------------------
 
@@ -2615,5 +2615,5 @@
   END DO
 
-  ! print*,'2 OK convect8'
+  ! PRINT*,'2 OK convect8'
   ! -----------------------------------------------------------------------
   ! Calcul des densites
@@ -2641,5 +2641,5 @@
   END DO
 
-  ! print*,'3 OK convect8'
+  ! PRINT*,'3 OK convect8'
   ! ------------------------------------------------------------------
   ! Calcul de w2, quarre de w a partir de la cape
@@ -2755,5 +2755,5 @@
   END DO
 
-  ! print*,'7 OK convect8'
+  ! PRINT*,'7 OK convect8'
   DO k = 1, klev + 1
     DO ig = 1, ngrid
@@ -2769,5 +2769,5 @@
   END DO
 
-  ! print*,'8 OK convect8'
+  ! PRINT*,'8 OK convect8'
   DO ig = 1, ngrid
     linter(ig) = 1.
@@ -2956,6 +2956,6 @@
 
 
-  ! print*,'9 OK convect8'
-  ! print*,'WA1 ',wa_moy
+  ! PRINT*,'9 OK convect8'
+  ! PRINT*,'WA1 ',wa_moy
 
   ! determination de l'indice du debut de la mixed layer ou w decroit
@@ -2996,6 +2996,6 @@
   END DO
 
-  ! print*,'10 OK convect8'
-  ! print*,'WA2 ',wa_moy
+  ! PRINT*,'10 OK convect8'
+  ! PRINT*,'WA2 ',wa_moy
   ! calcul de la fraction de la maille concernée par l'ascendance en tenant
   ! compte de l'epluchage du thermique.
@@ -3027,5 +3027,5 @@
     DO ig = 1, ngrid
       IF (larg_cons(ig,l)>1.) THEN
-        ! print*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
         fraca(ig, l) = (larg_cons(ig,l)-larg_detr(ig,l))/(r_aspect*zmax(ig))
         ! test
@@ -3064,5 +3064,5 @@
             fraca(ig, l) = fracazmix(ig)*xxx(ig, l)**2
           END IF
-          ! print*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
+          ! PRINT*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
           fraca(ig, l) = max(fraca(ig,l), 0.)
           fraca(ig, l) = min(fraca(ig,l), 0.5)
@@ -3074,6 +3074,6 @@
   END DO
 
-  ! print*,'11 OK convect8'
-  ! print*,'Ea3 ',wa_moy
+  ! PRINT*,'11 OK convect8'
+  ! PRINT*,'Ea3 ',wa_moy
   ! ------------------------------------------------------------------
   ! Calcul de fracd, wd
@@ -3116,6 +3116,6 @@
   END DO
 
-  ! print*,'12 OK convect8'
-  ! print*,'WA4 ',wa_moy
+  ! PRINT*,'12 OK convect8'
+  ! PRINT*,'WA4 ',wa_moy
   ! c------------------------------------------------------------------
   ! calcul du transport vertical
@@ -3123,10 +3123,10 @@
 
   GO TO 4444
-  ! print*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
+  ! PRINT*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
   DO l = 2, nlay - 1
     DO ig = 1, ngrid
       IF (fm(ig,l+1)*ptimestep>masse(ig,l) .AND. fm(ig,l+1)*ptimestep>masse( &
           ig,l+1)) THEN
-        ! print*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
+        ! PRINT*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
         ! s         ,fm(ig,l+1)*ptimestep
         ! s         ,'   M=',masse(ig,l),masse(ig,l+1)
@@ -3138,5 +3138,5 @@
     DO ig = 1, ngrid
       IF (entr(ig,l)*ptimestep>masse(ig,l)) THEN
-        ! print*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
+        ! PRINT*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
         ! s         ,entr(ig,l)*ptimestep
         ! s         ,'   M=',masse(ig,l)
@@ -3148,19 +3148,19 @@
     DO ig = 1, ngrid
       IF (.NOT. fm(ig,l)>=0. .OR. .NOT. fm(ig,l)<=10.) THEN
-        ! print*,'WARN!!! fm exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! fm exagere ig=',ig,'   l=',l
         ! s         ,'   FM=',fm(ig,l)
       END IF
       IF (.NOT. masse(ig,l)>=1.E-10 .OR. .NOT. masse(ig,l)<=1.E4) THEN
-        ! print*,'WARN!!! masse exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! masse exagere ig=',ig,'   l=',l
         ! s         ,'   M=',masse(ig,l)
-        ! print*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
+        ! PRINT*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
         ! s                 rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)
-        ! print*,'zlev(ig,l+1),zlev(ig,l)'
+        ! PRINT*,'zlev(ig,l+1),zlev(ig,l)'
         ! s                ,zlev(ig,l+1),zlev(ig,l)
-        ! print*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
+        ! PRINT*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
         ! s                ,pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)
       END IF
       IF (.NOT. entr(ig,l)>=0. .OR. .NOT. entr(ig,l)<=10.) THEN
-        ! print*,'WARN!!! entr exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! entr exagere ig=',ig,'   l=',l
         ! s         ,'   E=',entr(ig,l)
       END IF
@@ -3179,7 +3179,7 @@
 
   IF (1==1) THEN
-    ! call dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
+    ! CALL dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
     ! .    ,zh,zdhadj,zha)
-    ! call dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
+    ! CALL dqthermcell(ngrid,nlay,ptimestep,fm0,entr0,masse
     ! .    ,zo,pdoadj,zoa)
     CALL dqthermcell(ngrid, nlay, ptimestep, fm0, entr0, masse, zthl, &
@@ -3215,6 +3215,6 @@
 
 
-  ! print*,'13 OK convect8'
-  ! print*,'WA5 ',wa_moy
+  ! PRINT*,'13 OK convect8'
+  ! PRINT*,'WA5 ',wa_moy
   DO l = 1, nlay
     DO ig = 1, ngrid
@@ -3228,9 +3228,9 @@
   ! do ig=1,ngrid
   ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
   ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
   ! endif
@@ -3238,5 +3238,5 @@
   ! enddo
 
-  ! print*,'14 OK convect8'
+  ! PRINT*,'14 OK convect8'
   ! ------------------------------------------------------------------
   ! Calculs pour les sorties
@@ -3397,5 +3397,5 @@
   ! ---------------------------------------------------
 
-  ! print*,'0 OK convect8'
+  ! PRINT*,'0 OK convect8'
 
   DO l = 1, nlay
@@ -3410,5 +3410,5 @@
   END DO
 
-  ! print*,'1 OK convect8'
+  ! PRINT*,'1 OK convect8'
   ! --------------------
 
@@ -3447,5 +3447,5 @@
   END DO
 
-  ! print*,'2 OK convect8'
+  ! PRINT*,'2 OK convect8'
   ! -----------------------------------------------------------------------
   ! Calcul des densites
@@ -3472,5 +3472,5 @@
   END DO
 
-  ! print*,'3 OK convect8'
+  ! PRINT*,'3 OK convect8'
   ! ------------------------------------------------------------------
   ! Calcul de w2, quarre de w a partir de la cape
@@ -3576,5 +3576,5 @@
   END DO
   ! RC
-  ! print*,'7 OK convect8'
+  ! PRINT*,'7 OK convect8'
   DO k = 1, klev + 1
     DO ig = 1, ngrid
@@ -3590,5 +3590,5 @@
   END DO
 
-  ! print*,'8 OK convect8'
+  ! PRINT*,'8 OK convect8'
   DO ig = 1, ngrid
     linter(ig) = 1.
@@ -3714,5 +3714,5 @@
     END IF
     ! f0(ig)=f(ig)
-    ! first=.true.
+    ! first=.TRUE.
   END DO
   PRINT *, 'apres fermeture'
@@ -3734,6 +3734,6 @@
 
 
-  ! print*,'9 OK convect8'
-  ! print*,'WA1 ',wa_moy
+  ! PRINT*,'9 OK convect8'
+  ! PRINT*,'WA1 ',wa_moy
 
   ! determination de l'indice du debut de la mixed layer ou w decroit
@@ -3777,6 +3777,6 @@
   END DO
 
-  ! print*,'10 OK convect8'
-  ! print*,'WA2 ',wa_moy
+  ! PRINT*,'10 OK convect8'
+  ! PRINT*,'WA2 ',wa_moy
   ! calcul de la fraction de la maille concernée par l'ascendance en tenant
   ! compte de l'epluchage du thermique.
@@ -3807,5 +3807,5 @@
     IF ((zmax(ig)-zmix(ig))<0.) THEN
       zmix(ig) = 0.99*zmax(ig)
-      ! print*,'pb zmix>zmax'
+      ! PRINT*,'pb zmix>zmax'
     END IF
   END DO
@@ -3823,5 +3823,5 @@
     DO ig = 1, ngrid
       IF (larg_cons(ig,l)>1.) THEN
-        ! print*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
         fraca(ig, l) = (larg_cons(ig,l)-larg_detr(ig,l))/(r_aspect*zmax(ig))
         ! test
@@ -3852,5 +3852,5 @@
           ! test
           IF (zmax(ig)-zmix(ig)<1.E-10) THEN
-            ! print*,'pb xxx'
+            ! PRINT*,'pb xxx'
             xxx(ig, l) = (lmaxa(ig)+1.-l)/(lmaxa(ig)+1.-lmix(ig))
           ELSE
@@ -3866,5 +3866,5 @@
             fraca(ig, l) = fracazmix(ig)*xxx(ig, l)**2
           END IF
-          ! print*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
+          ! PRINT*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
           fraca(ig, l) = max(fraca(ig,l), 0.)
           fraca(ig, l) = min(fraca(ig,l), 0.5)
@@ -3877,6 +3877,6 @@
 
   PRINT *, 'fin calcul fraca'
-  ! print*,'11 OK convect8'
-  ! print*,'Ea3 ',wa_moy
+  ! PRINT*,'11 OK convect8'
+  ! PRINT*,'Ea3 ',wa_moy
   ! ------------------------------------------------------------------
   ! Calcul de fracd, wd
@@ -3919,6 +3919,6 @@
   END DO
 
-  ! print*,'12 OK convect8'
-  ! print*,'WA4 ',wa_moy
+  ! PRINT*,'12 OK convect8'
+  ! PRINT*,'WA4 ',wa_moy
   ! c------------------------------------------------------------------
   ! calcul du transport vertical
@@ -3926,10 +3926,10 @@
 
   GO TO 4444
-  ! print*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
+  ! PRINT*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
   DO l = 2, nlay - 1
     DO ig = 1, ngrid
       IF (fm(ig,l+1)*ptimestep>masse(ig,l) .AND. fm(ig,l+1)*ptimestep>masse( &
           ig,l+1)) THEN
-        ! print*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
+        ! PRINT*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
         ! s         ,fm(ig,l+1)*ptimestep
         ! s         ,'   M=',masse(ig,l),masse(ig,l+1)
@@ -3941,5 +3941,5 @@
     DO ig = 1, ngrid
       IF (entr(ig,l)*ptimestep>masse(ig,l)) THEN
-        ! print*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
+        ! PRINT*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
         ! s         ,entr(ig,l)*ptimestep
         ! s         ,'   M=',masse(ig,l)
@@ -3951,19 +3951,19 @@
     DO ig = 1, ngrid
       IF (.NOT. fm(ig,l)>=0. .OR. .NOT. fm(ig,l)<=10.) THEN
-        ! print*,'WARN!!! fm exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! fm exagere ig=',ig,'   l=',l
         ! s         ,'   FM=',fm(ig,l)
       END IF
       IF (.NOT. masse(ig,l)>=1.E-10 .OR. .NOT. masse(ig,l)<=1.E4) THEN
-        ! print*,'WARN!!! masse exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! masse exagere ig=',ig,'   l=',l
         ! s         ,'   M=',masse(ig,l)
-        ! print*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
+        ! PRINT*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
         ! s                 rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)
-        ! print*,'zlev(ig,l+1),zlev(ig,l)'
+        ! PRINT*,'zlev(ig,l+1),zlev(ig,l)'
         ! s                ,zlev(ig,l+1),zlev(ig,l)
-        ! print*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
+        ! PRINT*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
         ! s                ,pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)
       END IF
       IF (.NOT. entr(ig,l)>=0. .OR. .NOT. entr(ig,l)<=10.) THEN
-        ! print*,'WARN!!! entr exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! entr exagere ig=',ig,'   l=',l
         ! s         ,'   E=',entr(ig,l)
       END IF
@@ -3980,5 +3980,5 @@
         entr(ig, l) = entr(ig, l) - detr(ig, l)
         detr(ig, l) = 0.
-        ! print*,'WARNING !!! detrainement negatif ',ig,l
+        ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
       END IF
     END DO
@@ -4026,6 +4026,6 @@
 
 
-  ! print*,'13 OK convect8'
-  ! print*,'WA5 ',wa_moy
+  ! PRINT*,'13 OK convect8'
+  ! PRINT*,'WA5 ',wa_moy
   DO l = 1, nlay
     DO ig = 1, ngrid
